### Hierarchy

- Demo

## Index

### Constructors

- constructor

### Properties

- currentMarkup
- currentTag
- el
- markup
- tag
- textArea

### Methods

- componentDidLoad
- componentDidUpdate
- copyExample
- initTextArea
- render
- updateExample
- updateTextArea

## Constructors

### constructor

- new Demo(): Demo

- - Defined in demo/demo.tsx:18

  #### Returns Demo

## Properties

### currentMarkup

currentMarkup: string

- Defined in demo/demo.tsx:12

### currentTag

currentTag: string

- Defined in demo/demo.tsx:13

### el

el: HTMLElement

- Defined in demo/demo.tsx:16

### markup

markup: Map<any, any> = new Map()

- Defined in demo/demo.tsx:11

### tag

tag: string = ""

- Defined in demo/demo.tsx:18

### textArea

textArea: HTMLElement

- Defined in demo/demo.tsx:14

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in demo/demo.tsx:26

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in demo/demo.tsx:30

  #### Returns void

### copyExample

- copyExample(ev: any): void

- - Defined in demo/demo.tsx:80

  #### Parameters

  - ##### ev: any

  #### Returns void

### initTextArea

- initTextArea(): void

- - Defined in demo/demo.tsx:37

  #### Returns void

### render

- render(): any

- - Defined in demo/demo.tsx:84

  #### Returns any

### updateExample

- updateExample(): void

- - Defined in demo/demo.tsx:58

  #### Returns void

### updateTextArea

- updateTextArea(): void

- - Defined in demo/demo.tsx:71

  #### Returns void